Subject: [TR] TR3 Door Blocks

From: bill beecher <[email-masked]>
Date: Wed, 9 Feb 2022 16:22:53 -0600

Hello, as some of you may know I make, on occasion, the wood blocks and rails that go along the top of the TR2-3A doors.  Trying to make a set now and find I have lost the pattern for the forward block.  If anyone has any of these parts out of their car, in ANY condition I will be pleased to buy them. 

Many thanks,
Bill Beecher
TS30800L

“Last night I saw upon the stair,
A little man who wasn't there,
He wasn't there again today
Oh, how I wish he'd go away”.... Mearns
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]